# Returns the list of permissions for the user GET https://app.unleash-instance.example.com/api/admin/user-admin/{id}/permissions Gets a list of permissions for a user, additional project and environment can be specified. Reference: https://docs.getunleash.io/api/get-user-permissions ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Returns the list of permissions for the user version: endpoint_unstable.getUserPermissions paths: /api/admin/user-admin/{id}/permissions: get: operationId: get-user-permissions summary: Returns the list of permissions for the user description: >- Gets a list of permissions for a user, additional project and environment can be specified. tags: - - subpackage_unstable parameters: - name: id in: path description: a user id required: true schema: type: integer - name: project in: query required: false schema: type: string - name: environment in: query required: false schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: '#/components/schemas/userAccessOverviewSchema' content: application/json: schema: $ref: '#/components/schemas/userAccessOverviewSchema' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} '415': description: >- The operation does not support request payloads of the provided type. Please ensure that you're using one of the listed payload types and that you have specified the right content type in the "content-type" header. content: {} components: schemas: UserAccessOverviewSchemaOverviewRootItems: type: object properties: id: type: integer description: The ID of the permission name: type: string description: The name of the permission displayName: type: string description: The display name of the permission type: type: string description: The type of the permission environment: type: - string - 'null' description: The environment that the permission applies to hasPermission: type: boolean description: Whether the user has this permission required: - id - name - displayName - type - hasPermission UserAccessOverviewSchemaOverviewProjectItems: type: object properties: id: type: integer description: The ID of the permission name: type: string description: The name of the permission displayName: type: string description: The display name of the permission type: type: string description: The type of the permission environment: type: - string - 'null' description: The environment that the permission applies to hasPermission: type: boolean description: Whether the user has this permission required: - id - name - displayName - type - hasPermission UserAccessOverviewSchemaOverviewEnvironmentItems: type: object properties: id: type: integer description: The ID of the permission name: type: string description: The name of the permission displayName: type: string description: The display name of the permission type: type: string description: The type of the permission environment: type: - string - 'null' description: The environment that the permission applies to hasPermission: type: boolean description: Whether the user has this permission required: - id - name - displayName - type - hasPermission UserAccessOverviewSchemaOverview: type: object properties: root: type: array items: $ref: '#/components/schemas/UserAccessOverviewSchemaOverviewRootItems' description: The list of root permissions project: type: array items: $ref: '#/components/schemas/UserAccessOverviewSchemaOverviewProjectItems' description: The list of project permissions environment: type: array items: $ref: >- #/components/schemas/UserAccessOverviewSchemaOverviewEnvironmentItems description: The list of environment permissions required: - root - project - environment UserSchemaAccountType: type: string enum: - value: User - value: Service Account userSchema: type: object properties: id: type: integer description: The user id name: type: - string - 'null' description: Name of the user email: type: string description: Email of the user username: type: - string - 'null' description: A unique username for the user imageUrl: type: string description: URL used for the user profile image inviteLink: type: string description: >- If the user is actively inviting other users, this is the link that can be shared with other users loginAttempts: type: integer description: How many unsuccessful attempts at logging in has the user made emailSent: type: boolean description: Is the welcome email sent to the user or not rootRole: type: integer description: >- Which [root role](https://docs.getunleash.io/concepts/rbac#predefined-roles) this user is assigned seenAt: type: - string - 'null' format: date-time description: The last time this user logged in createdAt: type: string format: date-time description: The user was created at this time accountType: $ref: '#/components/schemas/UserSchemaAccountType' description: A user is either an actual User or a Service Account permissions: type: array items: type: string description: Deprecated scimId: type: - string - 'null' description: The SCIM ID of the user, only present if managed by SCIM seatType: type: - string - 'null' description: The seat type of this user companyRole: type: - string - 'null' description: The role of the user within the company. productUpdatesEmailConsent: type: - boolean - 'null' description: Whether the user has consented to receive product update emails. activeSessions: type: - integer - 'null' description: Count of active browser sessions for this user deletedSessions: type: number format: double description: >- Experimental. The number of deleted browser sessions after last login required: - id roleSchema: type: object properties: id: type: integer description: The role id type: type: string description: >- A role can either be a global root role (applies to all projects) or a project role name: type: string description: The name of the role description: type: string description: >- A more detailed description of the role and what use it's intended for project: type: - string - 'null' description: What project the role belongs to required: - id - type - name UserAccessOverviewSchemaProjectRolesItemsPermissionsItems: type: object properties: id: type: integer description: The ID of the permission name: type: string description: The name of the permission displayName: type: string description: The display name of the permission type: type: string description: The type of the permission environment: type: - string - 'null' description: The environment that the permission applies to required: - id - name - displayName - type UserAccessOverviewSchemaProjectRolesItems: type: object properties: id: type: integer description: The role id type: type: string description: >- A role can either be a global root role (applies to all projects) or a project role name: type: string description: The name of the role description: type: string description: >- A more detailed description of the role and what use it's intended for project: type: - string - 'null' description: What project the role belongs to permissions: type: array items: $ref: >- #/components/schemas/UserAccessOverviewSchemaProjectRolesItemsPermissionsItems description: The permissions that this role has required: - id - type - name - permissions userAccessOverviewSchema: type: object properties: overview: $ref: '#/components/schemas/UserAccessOverviewSchemaOverview' description: The access overview (list of permissions) for the user user: $ref: '#/components/schemas/userSchema' description: The user that this access overview is for rootRole: $ref: '#/components/schemas/roleSchema' description: The name of the root role that this user has projectRoles: type: array items: $ref: '#/components/schemas/UserAccessOverviewSchemaProjectRolesItems' description: The list of project roles that this user has in the selected project required: - overview - user - rootRole - projectRoles ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/user-admin/1/permissions" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/user-admin/1/permissions'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/user-admin/1/permissions" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/user-admin/1/permissions") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/user-admin/1/permissions") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/user-admin/1/permissions', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/user-admin/1/permissions"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/user-admin/1/permissions")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```